#! /bin/sh
if [ "$(id -u)" != "0" -a -z "$1" ]
then
  exec /sbin/start-stop-daemon -S -c root:root -x "$0" -- restart
  exit 1
fi

MYFILE=`basename $0`
MYPATH=`echo $0 | sed -e 's/'$MYFILE'//g'`
cd $MYPATH

. /home/native/.profile 2>/dev/null 1>/dev/null

#export HOME=$MYPATH/root
export HOME=$MYPATH/root
export QTDIR="$MYPATH/qt"
export PATH="/diska/.system/bin:/ezxlocal/bin:$PATH"
export LD_LIBRARY_PATH="/diska/.system/lib:$LD_LIBRARY_PATH"
export PS1="# "
export SHELL="/bin/bash2"

if [ ! -x ./ekonsole ]; then
  chmod +x ./ekonsole
fi
exec ./ekonsole
exit 1
