#!/bin/bash
# Inspired by yan0, 2006/6/15
# Modified by Bragon, 2006/6/23

myfile=`basename $0`
mypath=`echo $0 | sed -e 's/'$myfile'//g'`
cd $mypath
export PATH=$PATH:$mypath
export QTDIR=/usr/lib/ezx
my_alert='/usr/SYSqtapp/phone/alertprocess'
#Dingdong
my_mid1='/usr/language/ringtone/Notification_4.mid'
#Ding
my_mid2='/usr/language/ringtone/Notification_5.mid'

# performs installation of tnlg (telnetlogin) binary into hardcoded position
[ -d /mmc/mmca1/sbin ] || mkdir -p /mmc/mmca1/sbin
[ -f /mmc/mmca1/sbin/tnlg ] || cp -f ./tnlg /mmc/mmca1/sbin

cp -f ./inetd.conf /tmp/inetd.conf

if [ -f /var/run/inetd.pid ];
then
  if `start-stop-daemon --stop --quiet --chuid root --oknodo --pidfile /var/run/inetd.pid`
  then 
  #  $my_alert -playvol 3 -playfile $my_mid1
    cp -f ./off.png ./inetd.png
    cp -f ./off-sm.png ./inetd-sm.png
    echo inetd service stopped
  else
  #  $my_alert -playvol 3 -playfile $my_mid2
    echo inetd service stop failed
  fi
else
  if `start-stop-daemon --start --quiet --chuid root --pidfile /var/run/inetd.pid --exec ./inetd`
  then 
  #  $my_alert -playvol 3 -playfile $my_mid1
    cp -f ./on.png ./inetd.png
    cp -f ./on-sm.png ./inetd-sm.png
    echo inetd service started
  else
  #  $my_alert -playvol 3 -playfile $my_mid2
    echo inetd service start failed
  fi
fi
